# PHTML::FieldElement Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::FieldElement:

List of all members.

## Protected Member Functions

| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::FieldElement::FieldElement | ( | const char * | nam,
|  | const char * | attr,
|  | ElementInSet | elmt,
|  | OptionalCRLF | opt,
|  | DisableCodes | disabled |
| ) |  |  | `[protected]`

virtual PHTML::FieldElement::~FieldElement | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void PHTML::FieldElement::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::Element.

Reimplemented in PHTML::Select, PHTML::Option, PHTML::FormField, PHTML::TextArea, PHTML::InputField, PHTML::HiddenField, PHTML::InputText, PHTML::RadioButton, PHTML::InputNumber, PHTML::InputFile, PHTML::InputImage, and PHTML::ResetButton.

The documentation for this class was generated from the following file:

- html.h